Автор Тема: Обновление flash-player.  (Прочитано 6142 раз)

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 8 117
Re: Обновление flash-player.
« Ответ #15 : 17.06.2016 14:29:47 »
То есть решения нет, чтобы флеш работал по линуксом?
Он вообще скоро нигде работать не будет с такой поддержкой. Но решение для Linux пока есть: переход на x86_64. То есть, менять железо, если оно это не поддерживает. Если поддерживает, но стоит 32-разрядная ОС, то переустановить Linux для x86_64.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Re: Обновление flash-player.
« Ответ #16 : 17.06.2016 14:30:28 »
То есть решения нет?
Очень жаль. Сам то я не играю в  игры.
Порекомендовал другу перейти на линукс на нетбуке. Он жаловался, что винда тормозит сильно.
А вот он играет в одну игру через VK.
И у него не работает.

Давайте так:
По большому счёту, даже в страшном сне меня эта проблема не касается.
Но древний ноутбук специально поддерживаю в боевом состоянии, чтобы не забывать, что существуют пользователи, которые рискуют со своим железом оказаться на свалке истории.
Вы бы ссылку на контент дали. И инфо о процессоре. Возможно ваша проблема покажется кому-то интересной и кто-то хотя бы попытается чем-то помочь. Но это определённо требует времени и усилий.
Как видится это со стороны, не всё так однозначно. Но тему эту скорее лучше во флейм. В смысле, нужно абстрагироваться от операционок, - есть только пользователь и есть проблема.
Но если вы хотите простого и однозначного ответа, то да, решения нет.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 6 242
Re: Обновление flash-player.
« Ответ #17 : 17.06.2016 14:57:59 »
Но решение для Linux пока есть: переход на x86_64.
что вы пургу гоните - распаковать 2 файлика так сложно? Пока работает на 32 бит нормально.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Re: Обновление flash-player.
« Ответ #18 : 17.06.2016 15:49:27 »
Но решение для Linux пока есть: переход на x86_64.
что вы пургу гоните - распаковать 2 файлика так сложно? Пока работает на 32 бит нормально.

Угу. :)
Рассказать это тем не работающим флеш-гамезам на говносрачевом ресурсе одноклассники.ру где даже тема про пирожки с повидлом в конце-концов сведётся к политике.
И ещё тому видео на ресурсе для пользователей с закрытыми аккаунтами.
Тот ещё подарок. Этому дерьму обязательно подай последнюю версию флеша, и точно не 11-ую. Руки бы поотрывать этим вэб-разработчикам.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 956
    • Домашняя страница
    • Email
Re: Обновление flash-player.
« Ответ #19 : 17.06.2016 17:39:33 »
То есть решения нет?
Очень жаль. Сам то я не играю в  игры.
Порекомендовал другу перейти на линукс на нетбуке. Он жаловался, что винда тормозит сильно.
А вот он играет в одну игру через VK.
И у него не работает.
У меня в Chromium+Pepperflash нигде проблем не было.
Андрей Черепанов (cas@)

Оффлайн ewgeny

  • Завсегдатай
  • *
  • Сообщений: 73
Re: Обновление flash-player.
« Ответ #20 : 17.06.2016 18:43:18 »
Pepperflash я поставил. Но в папке, где должна быть библиотека пусто.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Re: Обновление flash-player.
« Ответ #21 : 17.06.2016 19:30:45 »
Pepperflash я поставил. Но в папке, где должна быть библиотека пусто.

$ rpm2cpio update-pepperflash-1.5.4-alt2.i586.rpm | cpio -idmv

pepperflash располагается в (см. LIBDIR и последние две строки)
$ getconf LIBDIR
/usr/lib
$ sed -n '252,257p' ./sisyphus/i586/usr/sbin/update-pepperflash
# Extract plugin from RPM file
[ "$verbose" != "yes" ] || echo "Extract plugin from RPM file"
rpm2cpio "$rpmfile" | cpio -idmv "$pluginfile" "$manifestfile" &>/dev/null

install -D -m 0644 $pluginfile $(getconf LIBDIR)/pepper-plugins/libpepflashplayer.so
install -D -m 0644 $manifestfile $(getconf LIBDIR)/pepper-plugins/manifest.json

А вы его где ожидаете?
« Последнее редактирование: 17.06.2016 19:34:01 от Speccyfighter »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 956
    • Домашняя страница
    • Email
Re: Обновление flash-player.
« Ответ #22 : 17.06.2016 19:42:35 »
Мало распаковать плагин, нужно chromium указать, где эти плагины лежат.

При запуске. update-pepperflash --install это всё учитывается.
Андрей Черепанов (cas@)